{% load bootstrap4 %}
{% load static %}
{% load i18n %}
{% trans "The QRMedia Portal" as the_qrmedia_portal %}
{% get_current_language as LANGUAGE_CODE %}

<!doctype html>
<html lang="{{ LANGUAGE_CODE }}">
<head>
  <meta charset="utf-8">
  <title>{{wd_label}} — {{ the_qrmedia_portal }}</title>
  <meta name="description" content="{{ the_qrmedia_portal }}">
  <link rel="icon" href="{% static 'qrmedia/img/favicon.png' %}">
  {% bootstrap_css %}
  <link rel="stylesheet" href="{% static 'qrmedia/css/style.css' %}">
</head>

<body class="greypage">
  <main id="entry-content">
    <div class="card">
      {% if image %}
      <img src="{{ image }}" class="card-img-top" alt="...">
      {% endif %}
      <div class="card-body">
        <h1 class="card-title">{{ wd_label }} {% if pronunciation %}<audio src="{{ pronunciation.target }}" type="{{ pronunciation.type }}" id="pron-audio"></audio><a href="#" id="pron-button"><img src="{% static 'qrmedia/img/loudspeaker.png' %}" /></a>{% endif %}</h1>
        <p class="card-subtitle"> {{ wd_description }}</p>
        
        {% if wp_sitelink %}
        <br />
          {% if wp_summary %}
            <p>{{ wp_summary | safe }}</p>
          {% endif %}
        <div class="btn-group-vertical" role="group" aria-label="Wikipedia">
          <a href=" {{ wp_sitelink }}" class="btn btn-outline-primary"><img class="project-logo" src="{% static 'qrmedia/img/wikipedia.png' %}" alt="Wikipédia"> {% trans "Article on Wikipedia" %}</a>
        </div>
        {% endif %}

        {% if wn_sitelink %}
        <hr />
        <div class="btn-group-vertical" role="group" aria-label="Wikinews">
          <a href="{{ wn_sitelink }}" class="btn btn-outline-primary"><img class="project-logo" src="{% static 'qrmedia/img/wikinews.png' %}" alt="Wikinews"> {% trans "News on Wikinews" %}</a>
        </div>
        {% endif %}

        {% if wb_sitelink %}
        <hr />
        <div class="btn-group-vertical" role="group" aria-label="Wikinews">
          <a href="{{ wb_sitelink }}" class="btn btn-outline-primary"><img class="project-logo" src="{% static 'qrmedia/img/wikibooks.png' %}" alt="Wikibooks"> {% trans "Manuals on Wikibooks" %}</a>
        </div>
        {% endif %}

        {% if wq_sitelink %}
        <hr />
        <div class="btn-group-vertical" role="group" aria-label="Wikiquote">
          <a href="{{ wq_sitelink }}" class="btn btn-outline-primary"><img class="project-logo" src="{% static 'qrmedia/img/wikiquote.png' %}" alt="Wikiquote"> {% trans "Quotes on Wikiquote" %}</a>
        </div>
        {% endif %}

        {% if ws_sitelink %}
        <hr />
        <div id="works-list" class="btn-group-vertical" role="group" aria-label="Wikisource">
            <a href="{{ ws_sitelink }}" class="btn btn-outline-primary"><img class="project-logo" src="{% static 'qrmedia/img/wikisource.png' %}" alt="Wikisource"> {% trans "Texts on Wikisource" %}</a>
            {% verbatim %}
            <a v-for="w in works" v-if="seen" v-bind:href="w.sitelink" class="btn btn-outline-secondary">{{ w.title }}</a>
            {% endverbatim %}
        </div>
        {% endif %}
        
        {% if wver_sitelink %}
        <hr />
        <div class="btn-group-vertical" role="group" aria-label="Wikiversity">
          <a href="{{ wver_sitelink }}" class="btn btn-outline-primary"><img class="project-logo" src="{% static 'qrmedia/img/wikiversity.png' %}" alt="Wikiversity"> {% trans "Courses on Wikiversity" %}</a>
        </div>
        {% endif %}

        {% if wvoy_sitelink %}
        <hr />
        <div class="btn-group-vertical" role="group" aria-label="Wikivoyage">
          <a href="{{ wvoy_sitelink }}" class="btn btn-outline-primary"><img class="project-logo" src="{% static 'qrmedia/img/wikivoyage.png' %}" alt="Wikivoyage"> {% trans "Guide on Wikivoyage" %}</a>
        </div>
          {% if wvoy_banner %}
            <a href="{{ wvoy_banner.target }}" id="wvoy-banner"><img src="{{ wvoy_banner.thumb }}" /></a>
            {% endif %}
        {% endif %}
        <hr />

        {% if commons_sitelink %}
        <div class="btn-group-vertical" role="group" aria-label="Wikimedia Commons">
          <a href="{{ commons_sitelink }}?uselang={{ lang }}" class="btn btn-outline-primary"><img class="project-logo" src="{% static 'qrmedia/img/commons.png' %}" alt="Wikimedia Commons"> {% trans "Files on Wikimedia Commons" %}</a>
        </div>
        
        {% verbatim %}
        <div id="commons-gallery">
          <div id="commons-gallery-inner" v-if="seen">
            <a v-for="image in gallery" v-bind:href="image['target']"><img v-bind:src="image['thumb']" class="rounded float-left"></a>
          </div>
        </div>
        {% endverbatim %}
        <br clear="all" />
        <hr />
        {% endif %}
        
        <div class="btn-group-vertical" role="group" aria-label="Wikidata">
          <a href="https://www.wikidata.org/wiki/{{qid}}?uselang={{ lang }}" class="btn btn-outline-primary"><img class="project-logo" src="{% static 'qrmedia/img/wikidata.png' %}" alt="Wikidata"> {% trans "Data on Wikidata" %}</a>
          <a href="https://tools.wmflabs.org/reasonator/?q={{qid}}&amp;lang={{ lang }}" class="btn btn-outline-secondary"><img class="project-logo" src="{% static 'qrmedia/img/reasonator.png' %}" alt="Wikidata / reasonator"> {% trans "Data with Reasonator" %}</a>
        </div>

        <br clear="all" />
        <hr />
        {% include 'qrmedia/language-selector.html' %}
      </div>
    </div>
  </main>

<script type="text/javascript" src="{% static 'qrmedia/lib/jquery-3.4.1.min.js' %}"></script>
<script type="text/javascript" src="{% static 'qrmedia/lib/vue.js' %}"></script>
<script type="text/javascript" src="{% static 'qrmedia/js/entry.js' %}"></script>

<script type="text/javascript">
  $( document ).ready(function(){
    $('#pron-button').click(function(){
      $('#pron-audio').get(0).play();
    });

    loadData({
      {% if commons_category %}
        "commons_category": "{{ commons_category }}",
      {% endif %}
      {% if ws_works %}
        "ws_works": "{{ qid }}",
      {% endif %}
    });    
  });
</script>
  <!-- Matomo -->
    <script>
      var _paq = window._paq = window._paq || [];
      /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
      _paq.push(['trackPageView']);
      _paq.push(['enableLinkTracking']);
      (function() {
        var u="https://matomo.wikimedia.fr/";
        _paq.push(['setTrackerUrl', u+'matomo.php']);
        _paq.push(['setSiteId', '11']);
        var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
        g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
      })();
    </script>
    <!-- End Matomo Code -->
    <noscript>
      <!-- Matomo Image Tracker-->
      <img referrerpolicy="no-referrer-when-downgrade" src="https://matomo.wikimedia.fr/matomo.php?idsite=11&amp;rec=1" style="border:0" alt="" />
      <!-- End Matomo -->
    </noscript>
</body>
</html>